Skip to main content
PUT
/
v1
/
bot-fields
/
{idOrName}
Set bot field value by id or name
curl --request PUT \
  --url https://app.chatbotx.io/api/v1/bot-fields/{idOrName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "value": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

idOrName
string
required
Maximum string length: 255

Body

application/json
value
string
required
Maximum string length: 255

Response

OK

id
string
required
name
string
required
type
enum<string>
required
Available options:
shortText,
email,
phoneNumber,
number,
date,
datetime,
boolean,
longText
value
string | null
required